jQuery(document).ready(function ($) {
  $("#property_status").change(function () {
    var selectedValue = $(this).val();
    if (selectedValue === "For Rent") {
      $("#payment_type").show();
    } else {
      $("#payment_type").hide();
    }
  });

  // Trigger the change event initially to set the initial state.
  $("#property_status").change();

  $("#upload-gallery-button").click(function (e) {
    e.preventDefault();
    var galleryFrame;
    if (galleryFrame) {
      galleryFrame.open();
      return;
    }
    galleryFrame = wp.media({
      title: "Select Images for Gallery",
      button: {
        text: "Insert into Gallery",
      },
      multiple: true,
    });
    galleryFrame.on("select", function () {
      var selection = galleryFrame.state().get("selection");
      var galleryImages = [];
      selection.each(function (attachment) {
        galleryImages.push(attachment.attributes.url);
      });
      $("#gallery").val(galleryImages.join(","));
    });
    galleryFrame.open();
  });
});
