jQuery(document).ready(function ($) {

    var dt = $('#subscribition_table').DataTable({
        ajax: {
            url: ajax_url + "?action=scanmycar_admin_reservation_datatables&nonce=" + nonce,
            cache: false,
        },

        buttons: [

            {
                extend: 'excel',
                title: "Reservation Data",
            },
            {
                extend: 'csv',
                title: "Reservation Data",
            },

        ],

        columns: [
            { data: 'id' },
            { data: 'user_id' },
            { data: 'name' },
            { data: 'package' },
            { data: 'email' },
            { data: 'phone' },
            { data: 'make' },
            { data: 'year' },
            { data: 'seller_name' },
            { data: 'seller_phone' },
            { data: 'accept_informed' },
            { data: 'payment_status' },
            { data: 'payment_id' },
            { data: 'booking_time' },
        ],
        //        ordering: true,
        //        serverSide: true,
        order: [[0, 'desc']],

        pageLength: 20
    }); //.DataTable()


});
