<?php

function main_content_area_callback()
{
    $wp_editor_settings = array(
        'quicktags' => array('buttons' => 'strong,em,del,ul,ol,li,close'), // note that spaces in this list seem to cause an issue
        'textarea_rows' => 2
    );
    if (isset($_POST['doctor_save']) && !empty($_POST['doctor_save'])) {
        foreach ($_POST as $key => $value) {
            if (in_array($key, ['reservation_shortcode_ss', 'doctor_footer_text'])) {
                $value = stripcslashes($value);
            }
            update_option($key, $value);
        }
    }

?>

    <div class="container-fluid  padding-left-4">

        <div class="row">

            <div class="col-sm-12 col-md-12 col-lg-12 bg-col12 mt-5">
                <!-- Top Navigation -->
                <header class="codrops-header">
                    <h1 class="text-center cl-title"><span>Homepage Options</span></h1>
                </header>
            </div>

            <br />
            <div class="col-sm-3 col-md-3 col-lg-3 pl-0">

                <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                    <a class="nav-link   active" id="v-pills-general-tab" data-toggle="pill" href="#v-pills-general" role="tab" aria-controls="v-pills-general" aria-selected="true">General Options</a>

                    <a class="nav-link " id="v-pills-headersection-tab" data-toggle="pill" href="#v-pills-headersection" role="tab" aria-controls="v-pills-headersection" aria-selected="true">First Section</a>

                    <a class="nav-link " id="v-pills-firstsection-tab" data-toggle="pill" href="#v-pills-firstsection" role="tab" aria-controls="v-pills-firstsection" aria-selected="true">Testimonial Section</a>

                    <a class="nav-link " id="v-pills-servicessection-tab" data-toggle="pill" href="#v-pills-servicessection" role="tab" aria-controls="v-pills-servicessection" aria-selected="true">Services Section</a>

                    <a class="nav-link " id="v-pills-reviewsection-tab" data-toggle="pill" href="#v-pills-reviewsection" role="tab" aria-controls="v-pills-reviewsection" aria-selected="true">Reservation Section</a>
                </div>

            </div>
            <div class="col-sm-9 col-md-9 col-lg-9 gray_back pl-0">

                <form class="form-horizontal" method="post" action="#">

                    <div class="tab-content" id="v-pills-tabContent">
                        <div class="tab-pane fade show active" id="v-pills-general" role="tabpanel" aria-labelledby="v-pills-general-tab">
                            <div class="form-group">

                                <label for="doctor_favicon" class="col-sm-12   control-label   text-white">Favicon</label>

                                <div class="col-sm-12  ">

                                    <input class="favicon_img_url doctor_half" type="text" name="doctor_favicon" size="60" value="<?php echo get_option('doctor_favicon'); ?>">

                                    <a href="#" class="favicon_img_upload btn btn-info">Choose </a>

                                    <img class="favicon_img rounded img-fluid" src="<?php echo get_option('doctor_favicon'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>

                            <div class="form-group">

                                <label for="doctor_logo_img" class="col-sm-12   control-label   text-white">Logo</label>

                                <div class="col-sm-12  ">

                                    <input class="logo_img_url doctor_half" type="text" name="doctor_logo_img" size="60" value="<?php echo get_option('doctor_logo_img'); ?>">

                                    <a href="#" class="logo_img_upload btn btn-info">Choose </a>

                                    <img class="logo_img rounded img-fluid" src="<?php echo get_option('doctor_logo_img'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>
                            <div class="form-group">
                                <?php $name = "doctor_email" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Email</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>

                            <div class="form-group mt-4">
                                <label for="doctor_primaryColor" class="col-sm-12   control-label   text-white">Primary Color </label>
                                <div class="col-sm-12  ">
                                    <input style="width: 5%;" type="color" class="form-control" id="primaryColor" name="doctor_primaryColor" value="<?php echo get_option('doctor_primaryColor'); ?>">
                                    <span style="letter-spacing: 1.3px; text-transform: uppercase;" dir="ltr" class="text-white mr-2 mt-2"><?php echo get_option('doctor_primaryColor'); ?></span>
                                </div>
                            </div>
                            <div class="form-group mb-4">
                                <label for="doctor_secondaryColor" class="col-sm-12   control-label   text-white">Secondary Color </label>
                                <div class="col-sm-12  ">
                                    <input style="width: 5%;" type="color" class="form-control" id="secondaryColor" name="doctor_secondaryColor" value="<?php echo get_option('doctor_secondaryColor'); ?>">
                                    <span style="letter-spacing: 1.3px; text-transform: uppercase;" class="text-white mr-2 mt-2"><?php echo get_option('doctor_secondaryColor'); ?></span>
                                </div>
                            </div>
                            <div class="form-group mb-4">
                                <label for="doctor_overlayColor" class="col-sm-12   control-label   text-white">Overlay Color </label>
                                <div class="col-sm-12  ">
                                    <input style="width: 5%;" type="color" class="form-control" id="overlayColor" name="doctor_overlayColor" value="<?php echo get_option('doctor_overlayColor'); ?>">
                                    <span style="letter-spacing: 1.3px; text-transform: uppercase;" class="text-white mr-2 mt-2"><?php echo get_option('doctor_overlayColor'); ?></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "doctor_footer_text" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Footer Text</label>
                                <div class="col-sm-12  ">
                                    <textarea class="form-control  " id="<?= $name ?>" name="<?= $name ?>" name="" id=""><?php echo get_option($name); ?></textarea>
                                </div>
                            </div>

                        </div>
                        <div class="tab-pane fade" id="v-pills-headersection" role="tabpanel" aria-labelledby="v-pills-headersection-tab">

                            <div class="form-group">
                                <?php $name = "doctor_home_title" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Title</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>

                            <div class="form-group">
                                <?php $name = "doctor_home_subtitle" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Main Title</label>
                                <div class="col-sm-12  ">
                                    <textarea class="form-control  " id="<?= $name ?>" name="<?= $name ?>" name="" id=""><?php echo get_option($name); ?></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <?php $name = "doctor_home_desc" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Description</label>
                                <div class="col-sm-12  ">
                                    <textarea class="form-control  " id="<?= $name ?>" name="<?= $name ?>" name="" id=""><?php echo get_option($name); ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "doctor_btn_txt" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Button Text</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "doctor_btn_url" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Button Url</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">

                                <label for="doctor_bg_img" class="col-sm-12   control-label   text-white">Background Image</label>

                                <div class="col-sm-12  ">

                                    <input class="bg_img_url doctor_half" type="text" name="doctor_bg_img" size="60" value="<?php echo get_option('doctor_bg_img'); ?>">

                                    <a href="#" class="bg_img_upload btn btn-info">Choose </a>

                                    <img class="bg_img rounded img-fluid" src="<?php echo get_option('doctor_bg_img'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>
                            <div class="form-group">

                                <label for="doctor_mobile_bg_img" class="col-sm-12   control-label   text-white">Mobile Background Image</label>

                                <div class="col-sm-12  ">

                                    <input class="mobile_bg_img_url doctor_half" type="text" name="doctor_mobile_bg_img" size="60" value="<?php echo get_option('doctor_mobile_bg_img'); ?>">

                                    <a href="#" class="mobile_bg_img_upload btn btn-info">Choose </a>

                                    <img class="mobile_bg_img rounded img-fluid" src="<?php echo get_option('doctor_mobile_bg_img'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>
                            <div class="form-group">

                                <label for="doctor_img" class="col-sm-12   control-label   text-white">Doctor Image</label>

                                <div class="col-sm-12  ">

                                    <input class="doctor_img_url doctor_half" type="text" name="doctor_img" size="60" value="<?php echo get_option('doctor_img'); ?>">

                                    <a href="#" class="doctor_img_upload btn btn-info">Choose </a>

                                    <img class="doctor_img rounded img-fluid" src="<?php echo get_option('doctor_img'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>

                        </div>

                        <div class="tab-pane fade" id="v-pills-firstsection" role="tabpanel" aria-labelledby="v-pills-firstsection-tab">
                            <div class="form-group">
                                <?php $name = "testimonial_title" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Title</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "testimonial_subtitle" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Subtitle</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group mb-4">
                                <label for="doctor_testiIconColor" class="col-sm-12   control-label   text-white">Icon Color </label>
                                <div class="col-sm-12  ">
                                    <input style="width: 5%;" type="color" class="form-control" id="testiIconColor" name="doctor_testiIconColor" value="<?php echo get_option('doctor_testiIconColor'); ?>">
                                    <span style="letter-spacing: 1.3px; text-transform: uppercase;" class="text-white mr-2 mt-2"><?php echo get_option('doctor_testiIconColor'); ?></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "testimonial_count" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Count</label>
                                <div class="col-sm-12  ">
                                    <input type="number" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="v-pills-servicessection" role="tabpanel" aria-labelledby="v-pills-servicessection-tab">
                            <div class="form-group">
                                <?php $name = "services_title" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Title</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "services_subtitle" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Subtitle</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "services_count" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Count</label>
                                <div class="col-sm-12  ">
                                    <input type="number" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="v-pills-reviewsection" role="tabpanel" aria-labelledby="v-pills-reviewsection-tab">
                            <div class="form-group">
                                <?php $name = "reservation_title" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Title</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <?php $name = "reservation_subtitle" ?>
                                <label for="<?= $name ?>" class="col-sm-12   control-label   text-white">Subtitle</label>
                                <div class="col-sm-12  ">
                                    <input type="text" class="form-control  " id="<?= $name ?>" name="<?= $name ?>" value="<?php echo get_option($name); ?>">
                                </div>
                            </div>
                            <div class="form-group">

                                <label for="reservation_shortcode_ss" class="col-md-12 control-label   text-white"><?= __('Form ShortCode') ?></label>
                                <div class="col-sm-12">
                                    <?php wp_editor(get_option('reservation_shortcode_ss'), 'reservation_shortcode_ss', $wp_editor_settings) ?>
                                </div>
                            </div>

                            <div class="form-group">

                                <label for="reservation_img" class="col-sm-12   control-label   text-white">Background Image</label>

                                <div class="col-sm-12  ">

                                    <input class="reservation_img_url reservation_half" type="text" name="reservation_img" size="60" value="<?php echo get_option('reservation_img'); ?>">

                                    <a href="#" class="reservation_img_upload btn btn-info">Choose </a>

                                    <img class="reservation_img rounded img-fluid" src="<?php echo get_option('reservation_img'); ?>" height="auto" style="max-width:20%" />

                                </div>

                            </div>


                        </div>



                        <div class="form-group mt-4">

                            <div class="col-sm-12">

                                <input type="submit" class="btn btn-default btn-block btn-lg doctor_save_route" name="doctor_save" value="Save Setting ">

                            </div>

                        </div>

                </form>

            </div>

        </div>

    </div><!-- /container -->

<?php

}
